<!-- <script setup lang="ts">
import { useUserStore } from '@/User/stores/user'
import { useRoleStore } from '@/roles/stores/role'
import { useLoadingStore } from '@/views/Auth/stores/loading'
import { ref } from 'vue'

const userStore = useUserStore()
const rolesStore = useRoleStore()
const loadingStore = useLoadingStore()
const loading = ref(false)
</script>

<template>
  <v-dialog v-model:model-value="userStore.dialog" style="width: 1000px">
    <v-card class="pa-5" title="Add User">
      <v-card-text>
        <v-container>
          <v-row>
            <v-col cols="12" sm="12" md="4">
              <v-text-field
                v-model="userStore.editedUser.email"
                :readonly="loading"
                :rules="[(v) => !!v || 'Field is required']"
                class="mb-2"
                clearable
                label="Email"
              ></v-text-field>
            </v-col>
            <v-col cols="12" sm="12" md="4">
              <v-text-field
                v-model="userStore.editedUser.fullName"
                :readonly="loading"
                :rules="[(v) => !!v || 'Field is required']"
                class="mb-2"
                clearable
                label="Full Name"
              ></v-text-field>
            </v-col>
            <v-col cols="12" sm="12" md="4">
              <v-text-field
                v-model="userStore.editedUser.password"
                :readonly="loading"
                :rules="[(v) => !!v || 'Field is required']"
                clearable
                label="Password"
                placeholder="Enter your password"
              ></v-text-field>
            </v-col>
            <v-col cols="12" sm="6">
              <v-combobox
                label="Gender"
                :items="['male', 'female', 'others']"
                v-model="userStore.editedUser.gender"
              ></v-combobox>
            </v-col>
            <v-col cols="12" sm="6">
              <v-combobox
                v-model="userStore.editedUser.roles"
                :items="rolesStore.roles"
                item-title="name"
                item-value="id"
                label="Select roles"
                multiple
                :return-object="true"
              ></v-combobox>
            </v-col>
          </v-row>
        </v-container>
      </v-card-text>

      <template #actions>
        <v-row justify="end">
          <v-btn @click="userStore.closeDialog()"> Cancel </v-btn>
          <v-btn @click="userStore.save()"> Save </v-btn>
        </v-row>
      </template>
    </v-card>
  </v-dialog>
</template>

<style scoped></style> -->
